Start a Symptom Check
/v1/chatbot/initialize/symptomCheckClients have to decide whether a symptom check or an illness check
shall be started. Use this request to start a Symptom Check.
The checkId received as response for this request will be used to
identify the ongoing check.
A Symptom Check can be started in two ways: by providing FHIR
patient/observations resources, or by providing a bodyPartCode
together with basic bodyParameters.
About Patient & Observation
resourceTypeis not listed as a part of the FHIR documentation of Patient & Observation resources, however,resourceTypeis always defined with a given default value (name of the resource) in the JSON schema definitions.- The
genderfield of a Patient can have 4 values according to the FHIR documentation:male,female,other, andunknown. Currently, the API only usesmaleandfemale;otherandunknownare accepted but treated as if no gender had been provided. - Although the
statusfield is required in an Observation resource according to the FHIR documentation, the API does not use it. - When the client provides a list of observations as input for a further Symptom Check, the API matches these observations to XUND symptoms via UMLS codes. If even just one of the provided observations' UMLS codes cannot be mapped to a symptom, the request fails with a server error (500).
Authorization
BearerToken Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.
In: header
Header Parameters
Language of the check.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/chatbot/initialize/symptomCheck" \ -H "authorization: Bearer <token>" \ -H "language: en" \ -H "Content-Type: application/json" \ -d '{ "patient": { "resourceType": "Patient", "gender": "male", "birthDate": "1985-10-16" }, "observations": [ { "resourceType": "Observation", "code": { "coding": [ { "code": "C0043037" } ] } }, { "resourceType": "Observation", "code": { "coding": [ { "code": "C0242429" } ] } } ], "tags": [ "partner_1", "campaign_2026" ] }'{ "checkId": "5e93d7a1-f240-43b5-8937-33419ea9cb6a"}Last updated on